/* ===== MICRO BLOG ===== */
.micro-blog {
  display: flex;
  flex-direction: column;
  position: relative;
}

.micro-blog h2 {
  position: relative;
  transform: translateY(10px);
}

.blog-display {
  flex: 1;
  justify-content: stretch;
  padding-left: 5px;
  padding-right: 5px;

  background-color: white;
  border: 1px solid var(--color-1);
  border-image: url("../img/website/asset-border-test.png") 100 / 15px round;
  border-image-outset: 18px;
}

.blog-content {
  font-size: 14px;
  color: var(--color-text-dark);
  line-height: 1.4;
  font-style: italic;
  overflow: scroll;
  height: 80px;
  margin-bottom: 10px;
}

.time-and-arrows {
  display: flex;
  justify-items: stretch;
  align-items: center;
  gap: 10px;
  margin-top: auto;
  margin-bottom: 0;
}

.blog-time {
  font-size: 14px;
  color: var(--color-2);
  font-weight: bold;
  margin-left: auto;
  margin-right: 0;
}

.blog-arrow {
  background-color: var(--color-2);
  color: var(--text-light);
  border: none;
  width: 30px;
  height: 30px;
  border-radius: 4px;
  font-size: 14px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease;
}

.blog-arrow:hover:not(:disabled) {
  background-color: var(--dark);
  transform: scale(1.1);
}

.blog-arrow:disabled {
  background-color: #ccc;
  cursor: not-allowed;
  opacity: 0.5;
}

.blog-arrow span {
  line-height: 1;
}

@media (max-width: 768px) {
  .micro-blog {
    margin-bottom: 0px;
  }

  .blog-display {
    border-image-width: 10px;
    border-image-outset: 12px;
    padding: 5px;
  }

  .blog-content {
    font-size: 12px;
    line-height: 1.2;
  }
  .blog-time {
    font-size: 12px;
  }
  .blog-arrow {
    width: 20px;
    height: 20px;
  }
}
